Skip to content

Jeden AI API

This API provides a private advanced conversational AI optimized for natural, witty, and context-aware interactions. Suitable for ChatBots, Coding, AI Agents, Short replies, writing memos, etc.

POST /api/v1/jeden

The following parameters are accepted in the request body:

FieldTypeRequiredDescription
promptstringYesThe user’s input message.
personastringOptionalDefines the AI’s personality.

Choose your preferred method to interact with the Heavstal Jeden API:

Terminal window
curl -X POST https://heavstal.com.ng/api/v1/jeden \
-H "Content-Type: application/json" \
-H "x-api-key: <YOUR_API_KEY>" \
-d '{"prompt": "Explain quantum physics like I am 5", "persona": "A 21th century Physicists with 5 PhDs"}'
{
"status": "success",
"creator": "HEAVSTAL TECH",
"data": {
"model": "heavstal-jeden-4.0",
"response": "..."
}
}